Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

In bản vẽ trong AutoCAD


  • Please log in to reply
165 replies to this topic

#1 DaiBang

DaiBang

    Edu level: ao3

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 23 (tàm tạm)

Đã gửi 05 January 2007 - 01:44 PM

Cũng có thể do mình chưa trình bày kỹ nên có lẽ các bạn không hiểu. Nghe bác Hoành nói vậy nên em sẽ trình bày lại bài toán của em bị rắc rối mong bác Hoành và các bạn giúp đỡ.
Em có file chứa tên các hộ dân (http://www.mediafire.com/?ytzigitjlzl).
Bây giờ em muốn xuất các hộ dân (text) này qua excel hoặc file text (.txt) để làm báo cáo. Em đã dùng lisp textout.lsp và xt.lsp (http://www.mediafire.com/?donyv22z4imaymn) để xuất qua file excel và file txt. Nhưng kết quả thu được là toàn bị lỗi font chữ (ví dụ: Nguyễn Hải Toàn--->Ng%uye%n H%a%i To%an).
Rất mong nhận được sự giúp đỡ của bác Hoành và các bạn trong diễn đàn. Xin cảm ơn.

Đây là một bài toán hay.

Text trong file AutoCAD là text được tạo nên từ các ký tự Ascii có cấu trúc %%xxx. Chính vì vậy hiển thị trong CAD vẫn ngon lành, tuy nhiên nội dung của text là lộn xộn.

Đây không phải lỗi của lisp xt.lsp mà là từ cấu trúc của file CAD.

bạn dùng lisp fixtext dưới đây để sửa lỗi text trong file ACAD của bạn trước khi sử dụng lisp xuất sang excel:
(defun c:fixtext ()  (setq	ss  (ssget '((0 . "TEXT")))	lst (ss2ent ss)  )  (foreach e lst    (setq tt (entget e)	  tt (subst (cons 1 (thaytext (cdr (assoc 1 tt))))		    (assoc 1 tt)		    tt	     )    )    (entmod tt)  )  (princ))(vl-load-com)(defun thaytext	(str)  (setq i 255)  (while (> i 0)    (setq cf (strcat "%%" (itoa i))	  cr (chr i)    )    (while (vl-string-search cf str)      (setq str (vl-string-subst cr cf str))    )    (setq i (1- i))  )  str)(defun ss2ent (ss / sodt index lstent)  (setq    sodt  (if ss	    (sslength ss)	    0	  )    index 0  )  (repeat sodt    (setq ent	 (ssname ss index)	  index	 (1+ index)	  lstent (cons ent lstent)    )  )  (reverse lstent))

  • 3
Đừng làm những điều nhàm chán trừ phi bạn không còn cách nào khác. Hãy cải tiến nó!

#2 hau03k7

hau03k7

    biết vẽ arc

  • Members
  • PipPip
  • 42 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 06 January 2007 - 12:28 AM

Tôi có một bản vẽ muốn in ra, nhưng cứ preview bản vẽ thì lại bị lỗi và thoát ra khỏi AutoCAD. Làm sao để tôi ìn được?

thử cài lại cad xem nào.Hoặc copy sang bản vẽ khác....nếu vẫn ko được cách tốt nhất là ....vẽ lại :lol: :lol:
  • 1

#3 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 84 (tàm tạm)

Đã gửi 06 January 2007 - 06:04 PM

Trước đây tôi cũng có lần bị như thế.
Bạn thử như thế này nhé:
- Dùng lệnh Audit để rà soát lỗi của bản vẽ. Nếu có lỗi, lệnh này sẽ sửa.
- Nếu vẫn chưa trị được thì dùng lệnh WBlock để xuất các đối tượng của bản vẽ ra một file mới và thử in trên file mới này.
- Nếu vẫn chưa được thì bạn tạm thời xoá các đối tượng dim và hatch của bản vẽ đi (dùng lệnh filter) rồi thử in. Nếu in được, xem xét các đối tượng dim và hatch này xem cái nào hỏng. Nếu vẫn không được thì pó tay, nên vẽ lại theo phương án của hau03k7.
  • 5

#4 Amazone

Amazone

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 January 2007 - 06:47 PM

Mình thấy có người in được bản vẽ ra Pdf, có thể copy vào các máy không cài ACAD rất tiện.
  • -1

#5 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 84 (tàm tạm)

Đã gửi 06 January 2007 - 07:32 PM

Có một cách, nhưng hơi lòng vòng.
Đầu tiên, bạn mở AutoCAD, tạo một máy in ảo PostScrip Level 1( hoặc 2). Đặt lệnh in, chọn Ploter device là máy in vừa tạo. Đặt đường dẫn tên file EPS kết quả vào một chỗ nào đó. Tiếp đến là khởi động PhotoShop, mở file EPS vừa tạo, rồi save as Pdf.
  • 1

#6 DaiBang

DaiBang

    Edu level: ao3

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 23 (tàm tạm)

Đã gửi 06 January 2007 - 08:45 PM

Tui thấy có ông bạn vẽ Quy hoạch, tại vòng tròn sử dụng đất khi in ra thì hatch không che chữ trong vòng tròn. Mặc dù trong bản vẽ thì hatch vẫn liền và phủ kín vòng tròn ký hiệu sử dụng đất. Kiểu này như thể cad có một đối tượng dạng bút phủ.
  • 0
Đừng làm những điều nhàm chán trừ phi bạn không còn cách nào khác. Hãy cải tiến nó!

#7 Guest_Khách_*

Guest_Khách_*
  • Guests
Điểm đánh giá:

Đã gửi 07 January 2007 - 02:31 AM

Mình thấy có người in được bản vẽ ra Pdf, có thể copy vào các máy không cài ACAD rất tiện.


Vào Google đánh dòng tím kiếm "Convert DWG to PDF" ok !
  • 1

#8 ktsChen

ktsChen

    biết vẽ rectang

  • Vip
  • PipPip
  • 87 Bài viết
Điểm đánh giá: 138 (tàm tạm)

Đã gửi 08 January 2007 - 03:19 AM

có thể là họ hatch trước rồi mới viết chữ hoặc layoff text để hatch. làm như vậy cũng đuowcj mà . Tôi chưa thấy trong cad có đối tượng kiểu bút phủ như bạn nói
  • 1

ok
you best
and
me bads !!!!!

Tôi:
Xuống địa ngục gặp quỉ satan .
Satan nói : Ngươi thừa đủ tư cách để lên thiên đàng vì ngươi là người tốt
.

Lên tới thiên đàng , gõ cửa
Thánh Peter nói rằng : Ngươi không đủ tư cách để sống ở đây vì tư tưởng của ngươi quá xấu xa
.

Tôi đành làm con MA vật vờ lướt WEB hic!!! và cuộc đời vô cùng nghĩa...
SATAN và GOD thèng nào là đứa giết tôi ???????

WWW.CADVIET.COM


#9 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 887 (rất tốt)

Đã gửi 08 January 2007 - 03:24 AM

có thể là họ hatch trước rồi mới viết chữ hoặc layoff text để hatch. làm như vậy cũng đuowcj mà . Tôi chưa thấy trong cad có đối tượng kiểu bút phủ như bạn nói

Ohh no no ! Cái này la dùng WipeOut Còn một thằn XClip nũa cũng hãy không kém
  • 2

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com


#10 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3842 Bài viết
Điểm đánh giá: 4355 (đỉnh cao)

Đã gửi 08 January 2007 - 12:31 PM

Tôi thấy có một cách này cũng khá hay có thể sử dụng cho trường hợp này.

Tại miền cần xóa (có thể là miền đặc hoặc nét) đặt bằng một màu riêng ví dụ là x. Lúc in, đặt màu cho nét x là 255. Trước khi in, dùng lệnh DRAWORDER với tham số F(ront) để đặt các đối tượng có màu x này phủ lên phía trước các đối tượng khác (để che các phần nằm dưới).

Lúc in ra, đối tượng có màu x sẽ được in ra với màu trắng (là màu 255) và đè vào các nét phía bên dưới tạo ra hiệu ứng như là đang dùng bút phủ.

Có thể những người vẽ quy hoạch mà DaiBang nói đang sử dụng cách này chăng?
  • 1

#11 Hai Van

Hai Van

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 10 January 2007 - 11:53 AM

Có một cách nữa, đó là cài chương trình PDF995 (có thể vào trang www.pdf995.com để download).
Sau khi cài, chương trình PDF995 sẽ tạo ra một máy in PDF ảo. Các bác chỉ việc mở AutoCAD và in ra máy in ảo này là xong.

Với PDF995, không những các bác có thể in được CAD mà còn in được cả word, excel,... Có lần, em gặp phải một tình huống là phải chuyển file Word thành file JPG có độ phân giải cao (để làm biển quảng cáo). Em cũng đã dùng PDF kết hợp với PhotoShop và cho kết quả rất tốt.
  • 0

#12 Zoi

Zoi

    biết vẽ point

  • Vip
  • PipPip
  • 98 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 12 January 2007 - 12:32 PM

Hoành có thể giải thích rõ hơn một chút được không ?, cụ thể version nào của AutoCAD in được như vậy ?.

Với câu hỏi của DaiBang: bạn có thể cho biết bản vẽ QH đó họ sử dụng version nào của AutoCAD để vẽ. Theo tôi nhớ thì R2k6 và R2k7 thì MTEXT có BackGround Mask.

Background inserts an opaque background so that objects under the text are masked. <= help của R2k7


  • 0

#13 ufo7200

ufo7200

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 January 2007 - 12:04 AM

text trước hatch sau là ra vậy mà. Còn cách jikobo nói cụ thể thế nào?
  • 0

#14 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 887 (rất tốt)

Đã gửi 13 January 2007 - 02:39 AM

text trước hatch sau là ra vậy mà. Còn cách jikobo nói cụ thể thế nào?


1. Vẽ Line
2. Vẽ Rectang đè lên line
3. WipeOut/P/Chọn Rectang
Lệnh Wipeout sẽ tạo ra một miền trùng với Rectang để che đường Line

Hình 1:
Posted Image

Tương tự với XCLIP. Nhưng XCLIP chỉ cho chọn đối tượng bị che phủ là BLOCK.
  • 2

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com


#15 Hieuss

Hieuss

    biết lệnh mtext

  • Vip
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 162 (tàm tạm)

Đã gửi 19 January 2007 - 02:54 AM

Cách sửa lỗi đơn giản nhất mà cũng hiệu quả cho nhiều trường hợp lỗi giống như bạn Hau03k7 nói . Mở một file cad mới cứng rồi Ctrl+C toàn bộ bản vẽ trong file hỏng rồi Ctrl+V sang file mới . Bạn thử xem sao
  • 0

#16 Zoi

Zoi

    biết vẽ point

  • Vip
  • PipPip
  • 98 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 19 January 2007 - 10:34 AM

thường thì mọi người cài AutoCAD xong là dùng luôn. Trong khi nếu chịu khó vào support của AutoCAD sẽ thấy có nhiều bản patch sửa lỗi, rồi Service Pack. Hot fix và Service Pack sửa được rất nhiều lỗi của AutoCAD mà các bạn hay bị rồi hỏi mọi người.

Trong trường hợp này, nếu cần bản vẽ gấp thì có thể làm theo hướng dẫn ở trên. Còn dư dả thời gian thì gỡ AutoCAD, cài lại, down hotfix + service pack về, cài tiếp.

Với kinh nghiệm của tôi, sau khi đã apply các hot fix và service pack. Sử dụng CAD rất ổn định. Rất ít khi có lỗi.
  • 0

#17 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 Bài viết
Điểm đánh giá: 1298 (rất tốt)

Đã gửi 14 March 2007 - 10:32 AM

1. Vẽ Line
2. Vẽ Rectang đè lên line
3. WipeOut/P/Chọn Rectang
Lệnh Wipeout sẽ tạo ra một miền trùng với Rectang để che đường Line

Hình 1:
Hình đã gửi

Tương tự với XCLIP. Nhưng XCLIP chỉ cho chọn đối tượng bị che phủ là BLOCK.


Tôi có cách này cũng tàm tạm mà tôi hay dùng để vẽ QH:

- Vẽ một đa giác khoảng 30-40 cạnh bằng lệnh "pol" như vậy là khi xuất in bản vẽ đa giác đây cũng tương đương với 1 đường tròn
- Dùng lệnh wipeout, chọn options P, với Polyline là đa giác vừa vẽ
Vậy là đã có một wipeout là một đường tròn tương đối
  • 2

#18 you and me

you and me

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 April 2007 - 03:54 PM

Tốt hơn cả là bạn nên cài lại acad mới (2007-8).
  • 0

#19 ducgiakd6

ducgiakd6

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 May 2007 - 02:27 AM

Có một cách, nhưng hơi lòng vòng.
Đầu tiên, bạn mở AutoCAD, tạo một máy in ảo PostScrip Level 1( hoặc 2). Đặt lệnh in, chọn Ploter device là máy in vừa tạo. Đặt đường dẫn tên file EPS kết quả vào một chỗ nào đó. Tiếp đến là khởi động PhotoShop, mở file EPS vừa tạo, rồi save as Pdf.

tại sao bạn làm việc phức tạp thế nhỉ ??? bạn cài máy in ảo Adobe là xuất đc ra đuôi PDF mà...làm như bạn lòng vòng quá
  • 0

#20 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 84 (tàm tạm)

Đã gửi 29 May 2007 - 08:23 AM

Dạ, iem không dùng CAD2007 nên không có cái máy in ảo nào xuất trực tiếp sang PDF.
Bác biết thì hướng dẫn em với CAD2006 đi.
  • 0